<!DOCTYPE html>
<html>
<head>
    <title>Prediction Form</title>
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
</head>
<body>
    <h1>Prediction Form</h1>

    <form id="predict-form">
        <label for="smile">Enter your SMILE:</label><br>
        <input type="text" id="smile" name="smile" required><br>
        <input type="submit" value="Predict">
    </form>

    <h2 id="result"></h2>

    <script>
        $('#predict-form').on('submit', function(event) {
            event.preventDefault();
            var smile = $('#smile').val();

            $.ajax({
                url: '/predict',
                type: 'POST',
                contentType: 'application/json',
                data: JSON.stringify({ smile: smile }),
                success: function(response) {
                    $('#result').text('Prediction: ' + response.prediction);
                },
                error: function(error) {
                    console.error(error);
                }
            });
        });
    </script>
</body>
</html>
